Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 87593 - kernel oprofile modules does not compile for UP kernel
Summary: kernel oprofile modules does not compile for UP kernel
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 9
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-29 16:17 UTC by greg hosler
Modified: 2007-04-18 16:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-12-17 00:21:18 UTC


Attachments (Terms of Use)

Description greg hosler 2003-03-29 16:17:28 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
The kernel oprofile modules contains references to cpu_possible
which is only defines in include/asm-i386/smp.h, and include/asm-x86_64/smp.h,
making it impossible to build an oprofile kernel module for a UP kernel w/o
getting the following error message from depmod:

depmod: *** Unresolved symbols in   
/lib/modules/2.4.20-8custom/kernel/arch/i386/oprofile/oprofile.o
depmod:         cpu_possible

specifically, the following files reference cpu_possible():

    drivers/oprofile/buffer_sync.c
    drivers/oprofile/cpu_buffer.c
    drivers/oprofile/oprofile_stats.c

cpu_possible() needs to be defined in such a manner that the UP kernel builds
will compile these modules w/o undefined references.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. on a UP machine, make xconfig, and enable profiling
2. build kernel, and modules, and module_install
3. observe the error message "*** Unresolved symbols in   
/lib/modules/2.4.20-8custom/kernel/arch/i386/oprofile/oprofile.o
depmod:         cpu_possible"

    

Actual Results:  unloadable oprofile module

Expected Results:  a loadable oprofile module

Additional info:

Comment 1 Arjan van de Ven 2003-03-30 13:36:55 UTC
oprofile has other issues for UP as well, that's why disabled it


Note You need to log in before you can comment on or make changes to this bug.